Bug 1415726 - Setting log_format to NOLOG make auditd core dump - free(): invalid pointer
Summary: Setting log_format to NOLOG make auditd core dump - free(): invalid pointer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: audit
Version: 7.3
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Steve Grubb
QA Contact: BaseOS QE Security Team
URL: https://fedorahosted.org/audit/change...
Whiteboard:
Depends On: 1414812
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 14:40 UTC by Jaroslav Reznik
Modified: 2020-04-15 15:08 UTC (History)
5 users (show)

Fixed In Version: audit-2.6.5-3.el7_3.1
Doc Type: If docs needed, set a value
Doc Text:
Prior to this update, when the "log_format" option was set to "NOLOG", the audit daemon terminated unexpectedly. The bug has been fixed, and the audit daemon now works as expected.
Clone Of: 1414812
Environment:
Last Closed: 2017-03-02 17:28:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0393 0 normal SHIPPED_LIVE audit bug fix update 2017-03-02 22:07:08 UTC

Description Jaroslav Reznik 2017-01-23 14:40:07 UTC
This bug has been copied from bug #1414812 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 4 Steve Grubb 2017-02-09 00:21:40 UTC
audit-2.6.5-3.el7_3.1 was built to address this issue.

Comment 8 errata-xmlrpc 2017-03-02 17:28:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0393.html


Note You need to log in before you can comment on or make changes to this bug.